E-MailRelay

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GAuth::SaslClientImp Class Reference

A private pimple-pattern implementation class used by GAuth::SaslClient. More...

## Public Types
using | Response = SaslClient::Response

## Public Member Functions
| SaslClientImp (const SaslClientSecrets &, const std::string &)
bool | active () const
std::string | mechanism (const G::StringArray &) const
std::string | initialResponse (std::size_t limit) const
Response | response (const std::string &mechanism, const std::string &challenge) const
bool | next ()
std::string | mechanism () const
std::string | id () const
std::string | info () const

## Static Public Member Functions
static bool | match (const G::StringArray &mechanisms, const std::string &)

## Detailed Description

A private pimple-pattern implementation class used by GAuth::SaslClient.

Definition at line 37 of file gsaslclient.cpp.

## Member Typedef Documentation

## ◆ Response

using GAuth::SaslClientImp::Response = SaslClient::Response

Definition at line 40 of file gsaslclient.cpp.

## Constructor & Destructor Documentation

## ◆ SaslClientImp()

GAuth::SaslClientImp::SaslClientImp | ( | const SaslClientSecrets & | secrets,
|  | const std::string & | sasl_client_config
| ) |  |

Definition at line 69 of file gsaslclient.cpp.

## Member Function Documentation

## ◆ active()

bool GAuth::SaslClientImp::active | ( |  | ) | const

Definition at line 258 of file gsaslclient.cpp.

## ◆ id()

std::string GAuth::SaslClientImp::id | ( |  | ) | const

Definition at line 248 of file gsaslclient.cpp.

## ◆ info()

std::string GAuth::SaslClientImp::info | ( |  | ) | const

Definition at line 253 of file gsaslclient.cpp.

## ◆ initialResponse()

std::string GAuth::SaslClientImp::initialResponse | ( | std::size_t | limit | ) | const

Definition at line 155 of file gsaslclient.cpp.

## ◆ match()

bool GAuth::SaslClientImp::match | ( | const G::StringArray & | mechanisms,
|  | const std::string & | mechanism
| ) |  |
| static

Definition at line 263 of file gsaslclient.cpp.

## ◆ mechanism() [1/2]

std::string GAuth::SaslClientImp::mechanism | ( |  | ) | const

Definition at line 150 of file gsaslclient.cpp.

## ◆ mechanism() [2/2]

std::string GAuth::SaslClientImp::mechanism | ( | const G::StringArray & | server_mechanisms | ) | const

Definition at line 77 of file gsaslclient.cpp.

## ◆ next()

bool GAuth::SaslClientImp::next | ( |  | ) |

Definition at line 143 of file gsaslclient.cpp.

## ◆ response()

GAuth::SaslClient::Response GAuth::SaslClientImp::response | ( | const std::string & | mechanism,
|  | const std::string & | challenge
| ) |  | const

Definition at line 172 of file gsaslclient.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gsaslclient.cpp